Error
A valid request URL is required to generate request examples{
"items": [
{
"currencyCode": "<string>",
"productCode": "<string>",
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"cost": 123,
"costMode": "<string>",
"discountsRestricted": true,
"discountsRestrictedEndDate": "2023-11-07T05:31:56Z",
"discountsRestrictedMode": "<string>",
"discountsRestrictedStartDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"extraEntries": [
{
"attributeFQN": "<string>",
"attributeCode": "<string>",
"displayValue": "<string>",
"price": 123,
"value": "<unknown>"
}
],
"isVariation": true,
"map": 123,
"mapEndDate": "2023-11-07T05:31:56Z",
"mapMode": "<string>",
"mapStartDate": "2023-11-07T05:31:56Z",
"msrp": 123,
"msrpMode": "<string>",
"options": [
{
"attributeFQN": "<string>",
"isProductImageGroupSelector": true,
"values": [
{
"attributeVocabularyValueDetail": {
"content": {
"localeCode": "<string>",
"stringValue": "<string>"
},
"displayOrder": 123,
"localizedContent": [
{
"localeCode": "<string>",
"stringValue": "<string>"
}
],
"mappedGenericValues": [
"<unknown>"
],
"productName": "<string>",
"value": "<unknown>",
"valueSequence": 123
},
"value": null
}
]
}
],
"priceEntries": [
{
"listPrice": 123,
"listPriceMode": "<string>",
"minQty": 123,
"salePrice": 123,
"salePriceMode": "<string>",
"subscriptionPrice": 123,
"subscriptionPriceMode": "<string>",
"subscriptionSalePrice": 123,
"subscriptionSalePriceMode": "<string>"
}
],
"priceListCode": "<string>",
"priceListEntryMode": "<string>",
"priceListEntrySequence": 123,
"priceListEntryTypeCode": "<string>",
"productName": "<string>",
"startDate": "2023-11-07T05:31:56Z"
}
],
"pageCount": 123,
"pageSize": 123,
"startIndex": 123,
"totalCount": 123
}Get Price List Entries
Retrieves the entries within a price list.
GET
/
commerce
/
catalog
/
admin
/
pricelists
/
{priceListCode}
/
entries
Error
A valid request URL is required to generate request examples{
"items": [
{
"currencyCode": "<string>",
"productCode": "<string>",
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"cost": 123,
"costMode": "<string>",
"discountsRestricted": true,
"discountsRestrictedEndDate": "2023-11-07T05:31:56Z",
"discountsRestrictedMode": "<string>",
"discountsRestrictedStartDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"extraEntries": [
{
"attributeFQN": "<string>",
"attributeCode": "<string>",
"displayValue": "<string>",
"price": 123,
"value": "<unknown>"
}
],
"isVariation": true,
"map": 123,
"mapEndDate": "2023-11-07T05:31:56Z",
"mapMode": "<string>",
"mapStartDate": "2023-11-07T05:31:56Z",
"msrp": 123,
"msrpMode": "<string>",
"options": [
{
"attributeFQN": "<string>",
"isProductImageGroupSelector": true,
"values": [
{
"attributeVocabularyValueDetail": {
"content": {
"localeCode": "<string>",
"stringValue": "<string>"
},
"displayOrder": 123,
"localizedContent": [
{
"localeCode": "<string>",
"stringValue": "<string>"
}
],
"mappedGenericValues": [
"<unknown>"
],
"productName": "<string>",
"value": "<unknown>",
"valueSequence": 123
},
"value": null
}
]
}
],
"priceEntries": [
{
"listPrice": 123,
"listPriceMode": "<string>",
"minQty": 123,
"salePrice": 123,
"salePriceMode": "<string>",
"subscriptionPrice": 123,
"subscriptionPriceMode": "<string>",
"subscriptionSalePrice": 123,
"subscriptionSalePriceMode": "<string>"
}
],
"priceListCode": "<string>",
"priceListEntryMode": "<string>",
"priceListEntrySequence": 123,
"priceListEntryTypeCode": "<string>",
"productName": "<string>",
"startDate": "2023-11-07T05:31:56Z"
}
],
"pageCount": 123,
"pageSize": 123,
"startIndex": 123,
"totalCount": 123
}Authorizations
JWT Authorization header using the Bearer scheme.
Path Parameters
Query Parameters
limits which fields are returned in the response body
⌘I

